"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XrpBlock = void 0;
const constants_1 = require("../../utils/constants");
const BlockBase_1 = require("../BlockBase");
class XrpBlock extends BlockBase_1.BlockBase {
    get number() {
        return this.data.result.ledger_index;
    }
    get blockHash() {
        return this.data.result.ledger_hash;
    }
    get stdBlockHash() {
        return this.blockHash;
    }
    get unixTimestamp() {
        return constants_1.XRP_UTD + this.data.result.ledger.close_time;
    }
    get transactionIds() {
        return this.data.result.ledger.transactions.map((tx) => tx.hash);
    }
    get stdTransactionIds() {
        throw this.transactionIds;
    }
    get transactionCount() {
        var _a;
        return ((_a = this.data.result.ledger.transactions) === null || _a === void 0 ? void 0 : _a.length) || 0;
    }
}
exports.XrpBlock = XrpBlock;
//# sourceMappingURL=XrpBlock.js.map