import BN from "bn.js";
import { MccClient, TransactionSuccessStatus } from "../../types";
import { IAlgoTransactionMsgPack } from "../../types/algoTypes";
import { AddressAmount, PaymentSummary, TransactionBase } from "../TransactionBase";
/**
 * docs https://developer.algorand.org/docs/get-details/transactions/transactions/
 */
export declare class AlgoTransaction extends TransactionBase<IAlgoTransactionMsgPack, any> {
    get txid(): string;
    get stdTxid(): string;
    get hash(): string;
    get reference(): string[];
    get stdPaymentReference(): string;
    get unixTimestamp(): number;
    get sourceAddresses(): (string | undefined)[];
    get receivingAddresses(): (string | undefined)[];
    get fee(): BN;
    get spentAmounts(): AddressAmount[];
    get receivedAmounts(): AddressAmount[];
    get type(): string;
    get isNativePayment(): boolean;
    get currencyName(): string;
    get elementaryUnits(): BN;
    get successStatus(): TransactionSuccessStatus;
    paymentSummary(client?: MccClient, inUtxo?: number, utxo?: number, makeFullPayment?: boolean): Promise<PaymentSummary>;
}
//# sourceMappingURL=AlgoTransaction.d.ts.map