import { AccountInfoResponse, AccountTxResponse } from "xrpl";
import { XrpBlock, XrpTransaction } from "..";
import { XrpNodeStatus } from "../base-objects/StatusBase";
import { ChainType, getTransactionOptions, ReadRpcInterface, XrpMccCreate } from "../types";
import { MccLoggingOptionsFull } from "../types/genericMccTypes";
export declare class XRPImplementation implements ReadRpcInterface {
    rippleApi: any;
    client: any;
    inRegTest: any;
    chainType: ChainType;
    loggingObject: MccLoggingOptionsFull;
    constructor(createConfig: XrpMccCreate);
    getTransaction(txId: string, options?: getTransactionOptions): Promise<XrpTransaction | null>;
    /**
     * @deprecated Use getNodeStatus to get server info
     * @returns
     */
    isHealthy(): Promise<boolean>;
    getBlockHeight(): Promise<number>;
    getBlock(blockNumberOrHash: number | string): Promise<XrpBlock | null>;
    /**
     *
     * @param account A unique identifier for the account, most commonly the account's Address.
     * @param upperBound either blockHash or block number for the upper bound (The information does not contain any changes from ledger versions newer than this one.)
     * @returns
     */
    getAccountInfo(account: string, upperBound?: number | string): Promise<AccountInfoResponse>;
    getAccountTransactions(account: string, lowerBound?: number, upperBound?: number): Promise<AccountTxResponse>;
    /**
     * TODO implement
     * @external_docs https://xrpl.org/server_state.html
     */
    getNodeStatus(): Promise<XrpNodeStatus | null>;
}
//# sourceMappingURL=XrpRpcImplementation.d.ts.map