import { ALGOImplementation } from "./chain-clients/AlgoRpcImplementation";
import { BTCImplementation } from "./chain-clients/BtcRpcImplementation";
import { DOGEImplementation } from "./chain-clients/DogeRpcImplementation";
import { LTCImplementation } from "./chain-clients/LtcRpcImplementation";
import { XRPImplementation } from "./chain-clients/XrpRpcImplementation";
import { AlgoMccCreate, ChainType, ReadRpcInterface, RPCInterface, UtxoMccCreate, XrpMccCreate } from "./types";
export declare module MCC {
    class LTC extends LTCImplementation implements RPCInterface {
        constructor(options: UtxoMccCreate);
    }
    class BTC extends BTCImplementation implements RPCInterface {
        constructor(options: UtxoMccCreate);
    }
    class DOGE extends DOGEImplementation implements RPCInterface {
        constructor(options: UtxoMccCreate);
    }
    class XRP extends XRPImplementation implements ReadRpcInterface {
        constructor(options: XrpMccCreate);
    }
    class ALGO extends ALGOImplementation implements ReadRpcInterface {
        constructor(createConfig: AlgoMccCreate);
    }
    function getChainType(chainIdOrName: number | string | ChainType): ChainType;
    function getChainTypeName(chainIdOrName: ChainType): "invalid" | "XRP" | "ALGO" | "BTC" | "LTC" | "DOGE";
    function Client(chainIdOrName: number | string | ChainType, options: AlgoMccCreate | UtxoMccCreate | XrpMccCreate): XRP | ALGO | DOGE | LTC | BTC;
}
export * from "./base-objects/BlockBase";
export * from "./base-objects/TransactionBase";
export * from "./base-objects/StatusBase";
export * from "./types";
export * from "./utils/algoUtils";
export * from "./utils/utils";
export * from './utils/xrpUtils';
export * from "./utils/retry";
//# sourceMappingURL=index.d.ts.map